Subject: bug#76925: [PATCH] admin/notes/elpa: Add note on contributing to external packages

From: david <[email-masked]>
Date: Thu, 27 Mar 2025 15:38:03 -0400

Philip Kaludercic <[email-masked]> writes:

> david <[email-masked]> writes:
>
>> Stefan Monnier <[email-masked]> writes:
>>
>>>> What do you think about the patch update?  I'm open to any suggestions
>>>> from you.  Thanks.
>>>
>>> FWIW, I don't see any need to add anything of that kind to `admin/notes/elpa`.
>>>
>>>
>>>         Stefan
>>
>> Thanks, Stefan.  Could you share what you propose instead?  This thread
>> stems from an issue about missing information that we could address.
>> Several developers have discussed the patch, and I believe that when
>> joining a thread to express disagreement, it's helpful to offer an
>> alternative or explanation—especially when others see value in the
>> change.  If the patch had been dismissed from the start as unnecessary
>> or irrelevant, there would be no issue.  But when multiple developers
>> are actively discussing it, simply stating it's unnecessary without
>> elaboration can come across as lacking tact.  I say this because I feel
>> a sense of responsibility for a thread I started.
>>
>> Looking forward to your thoughts.
>
> If I may propose a idea I have been playing around with for a while in
> my head:  I think it would be nice to have a wizard-like interface that
> prepares a submission request.  It should both be able to set up a
> project if the user is just starting out and provide some basic checks
> for a user who has some ready code they wish to add to ELPA.  In the
> process, the package should go through and explain the most common
> questions ("how to release a package?", "when is it updated?", "what is
> the difference between GNU and NonGNU ELPA?", etc.).
>
> If you are interested in contributing to ELPA, I think that working on
> this kind of a user-facing package would be more useful than commenting
> on a admin/notes file that most people don't even know about.  I would
> be more than glad to shepherd you through the process 1:1, as I have had
> a good experience with the approach in the past.  How does that sound
> like?
>
> (Package name suggestion: "elpa-helper".)

Thank you, Philip. This is an interesting and valuable initiative. While
I lack experience with wizard interfaces, I'd be happy to contribute
where most useful. What first steps would you suggest?